%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:        Simple process monitor for MATE
Name:           mate-system-monitor
Version: 1.24.1
Release: %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/MATE
URL:            https://mate-desktop.org/
Source0:        https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  mate-common >= 1.22.0
BuildRequires:  pkgconfig(dconf)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(glib-2.0) >= 2.36.0
BuildRequires:  pkgconfig(libgtop-2.0) >= 2.23.1
BuildRequires:  pkgconfig(librsvg-2.0) >= 2.35
BuildRequires:  pkgconfig(libxml-2.0) >= 2.0
BuildRequires:  pkgconfig(glibmm-2.4) >= 2.22
BuildRequires:  pkgconfig(giomm-2.4) >= 2.26.0
BuildRequires:  itstool
BuildRequires:  pkgconfig(libwnck-3.0) >= 3.0.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires:  pkgconfig(gtkmm-3.0) >= 3.8.1
BuildRequires:  pkgconfig(libsystemd) >= 44
BuildRequires:  polkit-devel

Requires:       gksu-polkit
Requires:       polkit-agent
Requires:       mate-desktop >= 1.22.0

%description
MATE-system-monitor is a simple process and system monitor.

%prep
%autosetup

%build
%configure \
        --disable-static \
        --disable-schemas-compile \
        --enable-systemd

%make_build

%install
%make_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_bindir}/mate-system-monitor
%{_datadir}/applications/mate-system-monitor.desktop
%{_datadir}/pixmaps/mate-system-monitor/
%{_datadir}/glib-2.0/schemas/org.mate.system-monitor.*.xml
%{_datadir}/metainfo/mate-system-monitor.appdata.xml
%{_libexecdir}/mate-system-monitor/msm-kill
%{_libexecdir}/mate-system-monitor/msm-renice
%{_datadir}/polkit-1/actions/org.mate.mate-system-monitor.policy
%{_mandir}/man1/*


%changelog
* Mon Aug 24 2020 kekepower <kekepower> 1.24.1-1.mga8
+ Revision: 1618726
- Update to version 1.24.1
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 21 2020 umeabot <umeabot> 1.24.0-2.mga8
+ Revision: 1548113
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 kekepower <kekepower> 1.24.0-1.mga8
+ Revision: 1488836
- Update to version 1.24.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Dec 10 2019 kekepower <kekepower> 1.22.2-1.mga8
+ Revision: 1465688
- Update to version 1.22.2

* Fri May 10 2019 kekepower <kekepower> 1.22.1-1.mga7
+ Revision: 1397042
- Update to version 1.22.1

* Wed Mar 13 2019 kekepower <kekepower> 1.22.0-1.mga7
+ Revision: 1375510
- Update to version 1.22.0

* Wed Dec 26 2018 kekepower <kekepower> 1.20.2-1.mga7
+ Revision: 1345040
- Fix file list
- Update to version 1.20.2

* Sat Dec 01 2018 kekepower <kekepower> 1.20.1-1.mga7
+ Revision: 1337266
- Update to version 1.20.1
- Rolled back to r1299482

* Mon Nov 26 2018 kekepower <kekepower> 1.21.0-1.mga7
+ Revision: 1335531
- Update to version 1.21.0

* Sun Sep 23 2018 umeabot <umeabot> 1.20.0-2.mga7
+ Revision: 1299482
- Mageia 7 Mass Rebuild

* Thu Feb 15 2018 tarakbumba <tarakbumba> 1.20.0-1.mga7
+ Revision: 1201481
- Updated to 1.20.0 version

* Sat Dec 30 2017 tarakbumba <tarakbumba> 1.19.1-1.mga7
+ Revision: 1187465
- Updated to 1.19.1 version

* Sun Oct 29 2017 tarakbumba <tarakbumba> 1.19.0-1.mga7
+ Revision: 1174716
- Update to 1.19.0 version

* Wed Aug 23 2017 pterjan <pterjan> 1.18.0-2.mga7
+ Revision: 1143628
- Fix for new find_lang

* Tue Mar 14 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092601
- Update to 1.18.0 version
- Update to 1.17.0 version

* Tue Dec 13 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1074712
- new version 1.16.0
- build with gtk3
- require gksu-polkit

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001472
- Update to 1.14.0 version

* Sat Mar 19 2016 tarakbumba <tarakbumba> 1.13.2-1.mga6
+ Revision: 992970
- Update to 1.13.2 version

* Fri Feb 26 2016 tarakbumba <tarakbumba> 1.13.1-1.mga6
+ Revision: 979315
- Update to 1.13.1 version

* Mon Feb 08 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 949713
- Update to        1.13.0 version

* Fri Dec 04 2015 tarakbumba <tarakbumba> 1.12.1-1.mga6
+ Revision: 908214
- Update to 1.12.1 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 899212
-Update to 1.12.0 version

* Sat Sep 05 2015 wally <wally> 1.10.1-1.mga6
+ Revision: 872991
- new version 1.10.1

* Sat Aug 29 2015 cjw <cjw> 1.10.0-2.mga6
+ Revision: 870883
- compile C++ code with -std=gnu++11

* Sun Jun 21 2015 tarakbumba <tarakbumba> 1.10.0-1.mga6
+ Revision: 838430
- Update to 1.10.0 version

* Wed Oct 15 2014 umeabot <umeabot> 1.8.0-4.mga5
+ Revision: 746942
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-3.mga5
+ Revision: 682205
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 tarakbumba <tarakbumba> 1.8.0-2.mga5
+ Revision: 632687
- Rebuild for libgtop2-2.30.0

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600102
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598059
- Update to 1.7.x version

* Thu Dec 12 2013 tarakbumba <tarakbumba> 1.6.1-4.mga4
+ Revision: 556522
- Fix buildrequires for gksu-polkit

* Sat Oct 19 2013 umeabot <umeabot> 1.6.1-2.mga4
+ Revision: 531777
- Mageia 4 Mass Rebuild

* Sat Aug 10 2013 diogenese <diogenese> 1.6.1-1.mga4
+ Revision: 465064
- updated sources to 1.6.1

* Wed Jul 31 2013 malo <malo> 1.6.0-1.mga4
+ Revision: 461802
- fix conf generation
+ tarakbumba <tarakbumba>
- imported package mate-system-monitor

